Bug 1796282 - boxes-vim installs to wrong path causing negative side effect to all vim sessions
Summary: boxes-vim installs to wrong path causing negative side effect to all vim sess...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boxes
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 05:40 UTC by Kahlil Hodgson
Modified: 2020-02-16 03:44 UTC (History)
2 users (show)

Fixed In Version: boxes-1.3-3.fc30 boxes-1.3-3.fc31 boxes-1.3-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-09 01:04:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Kahlil Hodgson 2020-01-30 05:40:58 UTC
Description of problem:

The `boxes-vim` sub-package installs a vim syntax script `boxes.vim` to the `plugin` directory rather than the `syntax` directory.  Hence, that script is always loaded on start up, rather than on opening a `.boxes` file.

Due to a current bug in that script (https://github.com/ascii-boxes/boxes/issues/66) this has a global effect on the vim session.  When this bug is fixed, the immediate problem will go away, but the file is in the wrong place and will not work as expected.

Version-Release number of selected component (if applicable):

boxes-1.3-1.fc31

How reproducible:

While editing program files, commands that use `iskeyword` no longer work on identifiers that contain an underscore.

Steps to Reproduce:
1. sudo dnf install vim boxes-vim
2. vim /usr/lib/python3.7/site-packages/dnf/util.py
3. goto line 53 and place cursor on the `p` in `_parse_specs` function
4. use the `*` vim command to search for identifier under cursor

Actual results:

The word `parse` is highlighted.

Expected results:

The identifier `_parse_specs` is highlighted.

Additional info:

The `boxes.vim` file has been mistaken for a general plugin rather than a syntax plugin. Even if it is moved the correct location, the file type wont be detected. We need an additional filetype detection script `ftdetect/boxes.vim` containing something like:

```
autocmd BufRead,BufNewFile *.boxes      setfiletype boxes
autocmd BufRead,BufNewFile boxes-config setfiletype boxes
```

Comment 1 Artem 2020-01-30 14:31:52 UTC
@Hello, i am not the first maintainer of this package and it was almost orphaned until i take it. Thanks for reporting and upstream bug.

#HELP_WANTED

Comment 2 Kahlil Hodgson 2020-01-31 10:19:01 UTC
Hi Artem,

Just to note, even if upstream is fixed, the installation directory is still not correct.
Just need to replace

```
/vim/vimfiles/plugin
```

with

```
/vim/vimfiles/syntax
```

in the spec file and you are done :-)

Comment 3 Artem 2020-01-31 12:15:04 UTC
Sure, i will fix this and we need to fix another issue [1] :)

[1] https://github.com/ascii-boxes/boxes/issues/67

Comment 4 Fedora Update System 2020-01-31 16:59:10 UTC
FEDORA-2020-7512d89ae5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7512d89ae5

Comment 5 Fedora Update System 2020-01-31 17:22:27 UTC
FEDORA-EPEL-2020-250cd90f94 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-250cd90f94

Comment 6 Fedora Update System 2020-02-01 01:05:13 UTC
boxes-1.3-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-16bdec618a

Comment 7 Fedora Update System 2020-02-01 02:03:21 UTC
boxes-1.3-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7512d89ae5

Comment 8 Fedora Update System 2020-02-01 02:27:29 UTC
boxes-1.3-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-250cd90f94

Comment 9 Fedora Update System 2020-02-09 01:04:05 UTC
boxes-1.3-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-09 01:31:48 UTC
boxes-1.3-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-02-16 03:44:27 UTC
boxes-1.3-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.